Warn incompatible lazr.restfulclients

Bug #611802 reported by Benji York on 2010-07-30
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
lazr.restfulclient
Low
Unassigned

Bug Description

Occasionally changes will be make to lazr.restful will cause older versions of lazr.restfulclient to break. It would be nice if lazr.restfulclient reported its own version (via an HTTP header perhaps) so lazr.restful could generate an error or warning when an incompatible client connects.

The intent is to help users of lazr.restfulclient fail early when they attempt to use a new version of a web service that their client can not handle as opposed to failing late and in less straight-forward ways when they attempt to use the incompatible part of the web service.

Gary Poster (gary) on 2010-07-30
Changed in lazr.restful:
status: New → Triaged
importance: Undecided → Low
affects: lazr.restful → lazr.restfulclient
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers